/*
 * @Author: wufan
 * @Date: 2020-11-25 18:25:02
 * @LastEditors: wufan
 * @LastEditTime: 2020-12-17 15:21:44
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import Service from "@/common/js/service";

export function getEmployeeList(params: object) {
  return Service.Hades("public/hades/getStoreUserPage", params);
}

export function getStoreRole(params: object) {
  return Service.Hades("public/hades/getStoreRole", params);
}

export function getUserList(params: object) {
  return Service.Hades("public/hades/getStoreCustomerPage", params);
}

export function getStoreDecorationList(params: object) {
  return Service.Hades("public/hades/getStoreBannerList", params);
}
export function deleteStoreDecorationList(params: object) {
  return Service.Hades("public/hades/delStoreBanner", params);
}

export function addEmployee(params: object) {
  return Service.Hades("public/hades/addStoreUser", params);
}

export function editEmployee(params: object) {
  return Service.Hades("public/hades/editStoreUser", params);
}

export function deleteEmployee(params: object) {
  return Service.Hades("public/hades/delStoreUser", params);
}

export function getCourseCatalogList(params: object) {
  return Service.Hades("public/hades/getCategoryPage", params);
}

export function getAllSonCategory(params: object) {
  return Service.Hades("public/hades/getAllSonCategory", params);
}

export function addCourseCategory(params: object) {
  return Service.Hades("public/hades/addCourseCategory", params);
}
export function editCourseCategory(params: object) {
  return Service.Hades("public/hades/editCourseCategory", params);
}
export function delCourseCategory(params: object) {
  return Service.Hades("public/hades/delCourseCategory", params);
}
